| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::CompositorInstance::RenderSystemOperation Class Referenceabstract

Specific render system operation. More...

`#include <OgreCompositorInstance.h>`

Inheritance diagram for Ogre::CompositorInstance::RenderSystemOperation:
[legend]

## Public Member Functions
virtual | ~RenderSystemOperation ()
virtual void | execute (SceneManager *sm, RenderSystem *rs)=0
| Set state to SceneManager and RenderSystem. More...

## Detailed Description

Specific render system operation.

A render target operation does special operations between render queues like rendering a quad, clearing the frame buffer or setting stencil state.

## Constructor & Destructor Documentation

## ◆ ~RenderSystemOperation()

virtual Ogre::CompositorInstance::RenderSystemOperation::~RenderSystemOperation | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ execute()

virtual void Ogre::CompositorInstance::RenderSystemOperation::execute | ( | SceneManager * | sm,
|  | RenderSystem * | rs
| ) |  |
| pure virtual

Set state to SceneManager and RenderSystem.

The documentation for this class was generated from the following file:

- OgreCompositorInstance.h